import windproapi.windproapi
import os
from windproapi.utils import get_windpro_sample_path

# Opening windPRO
windproapi = windproapi.windproapi.WindProApi()
working_dir = os.path.join(get_windpro_sample_path('3.6'), 'Online_Service')
os.makedirs(working_dir, exist_ok=True)
windproapi.start_windpro_random_port()
# Project service for making a new project
online_data_service = windproapi.get_service('OnlineDataService')
service = windproapi.get_service('ProjectService')
lng, lat = 9., 55.
service.NewProject(lng, lat, os.path.join(os.path.join(get_windpro_sample_path('3.6'), 'Online_Service'), 'test.w36p'))
online_data_service.PrepareService(dataType='ODSClimate', lat=lat, lon=lng)
# Climate data
meteo_services = online_data_service.GetServices(dataType='ODSClimate')
meteo_handles = online_data_service.DownloadMeteoData(implId='siEra5Basic',
                                                      lat=lat,
                                                      lon=lng,
                                                      maxDist=30000,
                                                      numPoints=1,
                                                      fromYear=2014,
                                                      toYear=2020)
# Topography and Orography
online_data_service.PrepareService(dataType='ODSSurfaceGrid', lat=lat, lon=lng)
terrain_services = online_data_service.GetServices(dataType='ODSSurfaceGrid')
terrain_service_id = 'Global_TandemX90_Grid'
terrain_handle = online_data_service.DownloadHeightData(dataType='ODSSurfaceGrid',
                                                        implId=terrain_service_id,
                                                        userDesc='Terrain data grid',
                                                        lat=lat,
                                                        lon=lng,
                                                        width=10000,
                                                        height=10000,
                                                        useAsTin=True)
roughness_data_type = 'ODSRoughnessGridToLine'
online_data_service.PrepareService(dataType='ODSRoughnessGridToLine', lat=lat, lon=lng)
roughness_service = online_data_service.GetServices(dataType='ODSRoughnessGridToLine')
roughness_handle = online_data_service.DownloadRoughnessData(dataType='ODSRoughnessGridToLine',
                                                             implId='DataService_Rou_grid_GlobCover',
                                                             userDesc='Roughness data',
                                                             lat=lat,
                                                             lon=lng,
                                                             width=10000,
                                                             height=10000)
