import time
import os
from windproapi.utils import get_windpro_sample_path
from windproapi import WindProApi
from windproapi import nan_to_skipvalue


# Opening windPRO
_windproapi = WindProApi()
_windproapi.start_windpro_random_port()

working_dir = os.path.join(get_windpro_sample_path('3.6'), 'ProjectService')
os.makedirs(working_dir, exist_ok=True)

# Services
project_service = _windproapi.get_service('ProjectService')

# Project path and location
project_path = os.path.join(working_dir, 'test.w36p')
lng = 10.
lat = 55.

# Making a new empty project and saving it
project_service.NewProject(lng=lng, lat=lat, filename=project_path)
project_service.SaveToFile(filename=project_path)

# It is possible to get the project path from windPRO
project_path_from_windpro = project_service.GetProjectFilename()
print(f'Path from script: {project_path}')
print(f'Path from windPRO: {project_path_from_windpro}')

# Close windPRO
_windproapi.close_windpro()
time.sleep(2)

# Open windPRO again and load the project
# If you open windPRO
_windproapi = WindProApi()
_windproapi.start_windpro_random_port()
time.sleep(2)
# After closing windpro it is necessary to get the project again as the port might have changed
project_service = _windproapi.get_service('ProjectService')
project_service.LoadFromFile(filename=project_path)

# Exporting project to export file
export_path = os.path.join(working_dir, 'test.w36e')
project_service.ExportToFile(filename=export_path)

# Close windPRO again
time.sleep(2)
_windproapi.close_windpro()
