import time
import os
from windproapi.utils import get_windpro_sample_path
from windproapi import WindProApi

# Opening windPRO
windproapi = WindProApi()
working_dir = os.path.join(get_windpro_sample_path('3.6'), 'ProjectService')
os.makedirs(working_dir, exist_ok=True)

windproapi.start_windpro_random_port()
project_service = windproapi.get_service('ProjectService')

# Project path and location
project_path = os.path.join(working_dir, 'test.w36p')
lng = 11.
lat = 55.

# Making a new empty project and saving it
project_service.NewProject(lng=lng, lat=lat, filename=project_path)

# The the UTM zone's EPSG number
utm_zone = project_service.GetUtmWgs84EpsgForProject()
print(f'UTM EPSG of the project is {utm_zone}.')

# Setting the project coordinate system to DKTM1 with EPSG 4093
project_service.SetProjectCoorEPSG(epsg=4093)
